#! /bin/ksh -f

if [ $# -ne 2 ] ; then
   echo Expected: $(basename $0) basediv subdiv
   exit 1
fi

basediv=$1; shift
subdiv=$1
base=complx
pee_file=$base$basediv$subdiv.pee

cat  <<EOF > $pee_file
source_wasp_file $base$basediv.in
dest_wasp_file   $base$subdiv.in
pod_file         $base$basediv.pod.orig
support_size     $(expeval "40/$basediv*2.5")
EOF

echo "pee -script $pee_file -border 2 -num_fields 40 > $base$subdiv.pod.pee$basediv$subdiv"
eval "pee -script $pee_file -border 2 -num_fields 40 > $base$subdiv.pod.pee$basediv$subdiv"
