#! /bin/bash

prob=$1; shift
hexvuefile=$prob.hexvue
hvufile=$prob

cat <<EOF > $hexvuefile
! 
NEWFRAME WIDTH 480 HEIGHT 480 X 100 Y 100
edgeflag on
edgecolor white
shrink 1
hvuchattribs
hvuload $hvufile
!load strip-outline.egf
!
render wire
view axes off
view bground grey50
view iso
layer 0
layer on   0
layer on   1
layer off 15
layer on  16
HVUPICKSET 8 ! z
HVUSETDISP 0 1 2 sxsysz  3 3   3
render shade
view left
fit
hvupause 3
! 
!
render ldir -1 2 3
RENDER SHADE
!
HVUPICKSET 9 ! system 1
HVUSETDISP 0 9 2 sxsysz  3 3   3
fit
hvupause 5
HVUPICKSET 10 ! 2
HVUSETDISP 0 10 2 sxsysz  3 3   3
fit
hvupause 5
HVUPICKSET 12 ! 4
HVUSETDISP 0 12 2 sxsysz  3 3   3
fit
hvupause 5
HVUPICKSET 13 ! 5
HVUSETDISP 0 13 2 sxsysz  3 3   3
fit
hvupause 5
HVUPICKSET 15 ! 7
HVUSETDISP 0 15 2 sxsysz  3 3   3
fit
hvupause 5
HVUPICKSET 16 ! 8
HVUSETDISP 0 16 2 sxsysz  3 3   3
fit
hvupause 5
HVUPICKSET 18 ! 10
HVUSETDISP 0 18 2 sxsysz  3 3   3
fit
hvupause 5
HVUPICKSET 19 ! 11
HVUSETDISP 0 19 2 sxsysz  3 3   3
fit
hvupause 5
! HVUQUIT
EOF


hexvue -c $hexvuefile 
rm -f $hexvuefile
