if [ $# -ne 5 ] ; then
        echo "usage: $0 problem_prefix hexvue_script frame_name frame_number image_format"
        exit 1
fi
problem_prefix=$1; shift
hexvue_script=$1; shift
framename=$1; shift
frame=$1; shift
image_format=$1; shift
if [ -f ${problem_prefix}${frame}.hvu ] ;  then
        echo "post-processing ${problem_prefix}${frame}.hvu..."
        hexvue -l ${problem_prefix}${frame}.hvu -c ${hexvue_script}
        if [ ${frame} -lt 10 ] ; then
                fnum=000${frame}
        elif [ ${frame} -lt 100 ] ; then
                fnum=00${frame}
        elif [ ${frame} -lt 1000 ] ; then
                fnum=0${frame}
        else
                fnum=${frame}
        fi
        acounter=1
        mv junk.${image_format} ${framename}${fnum}.${image_format}
        exit 0
else
        exit 1
fi
