#! /bin/bash

t=0
incrt=10
dt=0.0001
aval=1
sign=1
tpairs=60
npairs=0

function toggle_sign {
sign_=$1
    if [ $(expeval "lt($sign_, 0)") -eq 0 ] ; then 
       sign_="-1"
    else
       sign_="1"
    fi
echo $sign_
}

echo 0 0; npairs=$(($npairs+1));
echo $(expeval "$dt") $(expeval "($sign)*$aval"); npairs=$(($npairs+1));
echo $(expeval "$incrt/2-$dt") $(expeval "($sign)*$aval"); npairs=$(($npairs+1));
sign=$(toggle_sign $sign)
echo $(expeval "$incrt/2+$dt") $(expeval "($sign)*$aval"); npairs=$(($npairs+1));
t=$(expeval "$incrt/2")

while [ $npairs -lt $tpairs ] 
do
    t=$(expeval "$t+$dt")
    echo $t $(expeval "($sign)*$aval"); npairs=$(($npairs+1));
    t=$(expeval "$t+$incrt-2*$dt")
    echo $t $(expeval "($sign)*$aval"); npairs=$(($npairs+1));
    sign=$(toggle_sign $sign)
done
