#! /bin/ksh -f

pod_collect.sh sinbeam4 -T 5 -R 40 -O 0 -nz_per_row 0.0075 -pc_ilu_fill 1 -modnewton -recomp_keff_after 3 -cutoff_ev 1e-12 -conv_ratio 0.001
cp sinbeam4.pod sinbeam4.pod.orig
for nmodes in 8 10 12 15 18 24
do
  pod_use.sh sinbeam4 -T 5 -R_list 40 -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes
done

pee -script sinbeam24.pee -border 2 -num_fields 50 > sinbeam4.pod.pee

cp sinbeam4.pod.pee sinbeam4.pod
for nmodes in 8 10 12 15 18 24
do
  pod_use.sh sinbeam4 -T 5 -R_list 40 -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes -suffix pee
done


