#!/bin/ksh

# collect
for s in 1 2 4 8
do
    R=$(($s*50))
    pod_collect.sh torture${s}g -R $R -T 0.01 -O 0 -cutoff_ev 1e-14  -modnewton -recomp_keff_after 3 -report_iter
done

# use
for s in 1 2 4 8
do
    R=$(($s*50))
    pod_collect.sh torture${s}g -R $R -T 0.01 -O 0 -cutoff_ev 1e-14  -modnewton -recomp_keff_after 3 -report_iter
    for nmodes in 16 20 24 30 36
    do
         pod_use.sh torture${s}g -R_list $R -T 0.01 -O 0 -nmodes_list $nmodes # -modnewton -recomp_keff_after 3
    done
done
