#! /bin/ksh -f

function genl {
up=$1; shift
counter=0
s=""
while [ $counter -lt $up ] 
do
    ss="$s $counter"
    s="$ss"
    counter=$(($counter + 1))
done
    echo $s
}

function modenl {
    up=$1; shift
    leaveout=$1; shift
    l=$(genl $up)
    s=""
    for counter in $(echo $l)
    do
        if [ $counter -ne $leaveout ] ; then
            ss="$s $counter"
            s="$ss"
        fi
    done
    echo $s
}

maxm=36

for leaveout in $(genl $maxm)
do
    pod_use.sh torture1g -R_list 10 -modenl "$(modenl $maxm $leaveout)" -T 5 -suffix "L-$leaveout"
done

