#! /bin/ksh -f


function genl {
up=$1; shift
counter=0
s=""
while [ $counter -lt $up ] 
do
    ss="$s $counter"
    s="$ss"
    counter=$(($counter + 1))
done
    echo $s
}


function inl {
    list=$1; shift
    what=$1; shift
    for el in $(echo $list)
    do
        if [ "$el" = "$what" ] ; then
            echo "t";
            return;
        fi
    done
    echo "f";
}

function subtrl {
    from=$1; shift
    subtr=$1; shift
    s=""
    for el in $(echo $from)
    do
        if [ $(inl "$subtr" $el) = f ] ; then
            ss="$s $el"
            s="$ss"
        fi
    done
    echo $s
}

maxm=36

for L in $(genl $maxm)
do
    echo "$L" $(l2diff \
          -u1 WASP.HIST/torture1g-red-R10-c0.00001-M$maxm-snapshots/DeformE.xmgr \
          -u2 WASP.HIST/torture1g-red-R10-c0.00001-M-snapshots-L-$L/DeformE.xmgr \
          -relative)
done
