#! /bin/ksh

if [ $# -ne 1 ] ; then
    echo "Need base name"
    exit 1
fi
    
basename=$1

for pred in 1 2 3 4 5 6
do
    for xvar in time step
    do
        for yvar in niter nitersum
        do
            file=$basename-pred$pred-$xvar-$yvar.xmgr
            get_data.sh WASP.HIST/$basename-pred$pred/nmki-niter.xmgr $xvar $yvar > $file
            echo Wrote $file
        done
    done
done

