#include <iostream.h>
#include "Loop/Permutation.h"

const short Permutation::IDENTITY = 0;

const Permutation Permutation::PERMUTATION[6] = {
  Permutation(V1, V2, V3),
  Permutation(V2, V3, V1),
  Permutation(V3, V1, V2),
  Permutation(V3, V2, V1),
  Permutation(V2, V1, V3),
  Permutation(V1, V3, V2)
};

ostream& operator<<(ostream& os, const Permutation& p) {
  os << "Permutation[";

  for (int v = V1; v <= V3; v += 1) {
    switch ((int)p.vertex(VertexLabel(v))) {
    case V1:
      os << "V1";
      break;
    case V2:
      os << "V2";
      break;
    case V3:
      os << "V3";
      break;
    }
    if (v == V3)
      os << ']';
    else
      os << ',';
  }

  return (os);
}
