// -*- Mode: c++ -*-
// $Id: FEMMesh.h,v 1.1.1.1 2001/07/24 02:41:34 pkrysl Exp $
// $Source: /home/cvs/WASP/problems/FE/subdiv/Coke/Quadrature/FEMMesh.h,v $

#ifndef	__FEMMESH_H__
#define	__FEMMESH_H__

// Do not change anything above this line

// include files

#include "Mesh/MeshTp.h"
#include "ThinShellReader.h"
#include "ThinShellWriter.h"

// class definition
template <class T>
class FEMMesh : public MeshTp<T> {
 public:
 protected:
 private:
};

// extern defs for non-member outline functions go here
// externally visible constant defs go here

template <class T>
istream& operator>>(istream& is, FEMMesh<T>& mesh)
{
  ThinShellReader< FEMMesh<T> > reader;
  reader.readMesh(is, mesh);
  return (is);
}

template <class T>
ostream& operator<<(ostream& os, FEMMesh<T>& mesh)
{
  ThinShellWriter< FEMMesh<T> > writer;
  writer.writeMesh(os, mesh);
  return (os);
}

#endif	/* __FEMMESH_H__ */
