#if 0

template <class TriangleIf, class VertexIf>
class SimAssembler : public Assembler<TriangleIf,VertexIf> {
public:
  /**
   * Constructs an assembler for a specified mesh.
   * @param mesh  mesh to assemble
   */
  SimAssembler(Mesh& mesh)
   : Assember<TriangleIf,VertexIf>(mesh) {
  }

  /**
   * Assembles the added components into the mesh.  The components must
   * define a topological 2-manifold.  If this condition is not satisfied,
   * the method returns false and the original mesh is unchanged.  If
   * satisfied, the method returns true and the new components are
   * integrated into the mesh.
   * @return true if components assembled into mesh
   */
  bool assembleMesh(void) {
    Assembler<TriangleIf,VertexIf>::assembleMesh();

  }
};

#endif
