#! /bin/ksh -f

T=0.0007
S=4.66205e-07

sampling=10
    

# reduced simulation: classical kle
for nmodes in 5 80 40 20 10 5
do
   cp iv64.pod.$sampling iv64.pod
   modru.sh iv64 -R 4 -O 0 -initial_stiff -recomp_keff_after 8 -method snapshots -T $T -suffix sampling=$sampling -nmodes $nmodes -report_iter -X -x 100
done



# reduced simulation: wavelets
for nmodes in 5 60 20 80 40 20 10 5
do
   cp iv64.pod.wav iv64.pod
   modru.sh iv64 -R 4 -O 0 -initial_stiff -recomp_keff_after 8 -method snapshots -T $T -suffix wav -nmodes $nmodes -report_iter -X -x 100
done


