#!/bin/ksh

  R=5000;
  T=0.006;
for input in Truss rTruss ; #trTruss sTruss cTruss;
do
  echo "###  $input  ###############################";
  for nmodes in $(genl 2 60);
  do
     if [ -f WASP.HIST/Truss/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr ] ; then
       echo $nmodes $(l2diff -u1 WASP.HIST/Truss/$input-full-R$R/DeformE.xmgr -u2 WASP.HIST/Truss/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr -relative -up_to_time $T);
     fi;
  done;
  echo '&';
done

  R=5000;
  T=0.006;
for input in Truss rTruss ; #trTruss sTruss cTruss;
do
  echo "###  $input  ###############################";
  for nmodes in $(genl 2 60);
  do
     if [ -f WASP.HIST/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr ] ; then
       echo $nmodes $(l2diff -u1 WASP.HIST/$input-full-R$R/DeformE.xmgr -u2 WASP.HIST/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr -relative -up_to_time $T);
     fi;
  done;
  echo '&';
done


  R=5000;
  T=0.006;
for input in Truss rTruss;
do
  echo "###  $input  ###############################";
  for nmodes in 36
  do
     if [ -f WASP.HIST/Truss/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr ] ; then
       echo $nmodes $(l2diff -u1 WASP.HIST/Truss/$input-full-R$R/DeformE.xmgr -u2 WASP.HIST/Truss/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr -relative -up_to_time $T);
     fi;
  done;
  echo '&';
done


  R=500000;
  T=0.0025;
for input in Ftruss rFtruss;
do
  echo "###  $input  ###############################";
  for nmodes in $(genl 2 60);
  do
     if [ -f WASP.HIST/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr ] ; then
       echo $nmodes $(l2diff -u1 WASP.HIST/$input-full-R$R/DeformE.xmgr -u2 WASP.HIST/$input-red-R$R-c0.00001-M$nmodes-direct/DeformE.xmgr -relative -up_to_time $T);
     fi;
  done;
  echo '&';
done

