#! /bin/ksh -f

T=0.02
for R in 5 8
do
command="\
wd -v -! -i splate -integrator 1 -R $R \
-T $T -b 2000 -O 0.01 \
-newmarki_options \"conv_ratio 0.001 solver spetsc nz_per_row 0.01 max_iter 30\" \
"
echo "$command"
eval $command
command="\
wd -v -! -i splate -integrator 1 -R $R \
-T $T -b 2000 -O 0.01 \
-newmarki_options \"conv_ratio 0.001 solver spetsc nz_per_row 0.01 max_iter 30 modnewton\" \
"
echo "$command"
eval $command
done

command="\
wd -v -! -i splate -integrator 0 -R 0.9 \
-T $T -b 2000 -O 0.01 \
"
echo "$command"
eval $command
