// -*- Mode: c++ -*-
// $Id: FEMMesh.h,v 1.2 2000/01/10 07:22:42 eitan Exp $
// $Source: /ufs/multires/projects/Coke/Quadrature/FEMMesh.h,v $

#ifndef	__FEMMESH_H__
#define	__FEMMESH_H__

// Do not change anything above this line

// include files

#include "Mesh/MeshTp.h"
#include "ThinShellReader.h"
#include "ThinShellWriter.h"

// class definition
template <class TriangleIf, class VertexIf>
class FEMMesh : public MeshTp<TriangleIf, VertexIf> {
 public:
 protected:
 private:
};

// extern defs for non-member outline functions go here
// externally visible constant defs go here

template <class TriangleIf, class VertexIf>
istream& operator>>(istream& is, FEMMesh<TriangleIf, VertexIf>& mesh)
{
  ThinShellReader< FEMMesh<TriangleIf, VertexIf> > reader;
  reader.readMesh(is, mesh);
  return (is);
}

template <class TriangleIf, class VertexIf>
ostream& operator<<(ostream& os, FEMMesh<TriangleIf, VertexIf>& mesh)
{
  ThinShellWriter< FEMMesh<TriangleIf, VertexIf> > writer;
  writer.writeMesh(os, mesh);
  return (os);
}

#endif	/* __FEMMESH_H__ */
