#ifndef __RANDOM_H
#define __RANDOM_H

class Random {
public: 
#if 0
  static void Initialize() {
    m_xsubi[0] = 1975;
    m_xsubi[1] = 1978;
    m_xsubi[2] = 1531;
  }
#endif

  static long RandUnsignedInt() {
    return nrand48(m_xsubi);
  }

  static long RandSignedInt() {
    return jrand48(m_xsubi);
  }

  static Real RandReal() {
    return erand48(m_xsubi);
  }

  static void SaveState(ostream &fout) {
    fout.write((char*)m_xsubi, sizeof(m_xsubi));
  }

  static void SaveStateASCII(ostream &fout) {
    fout << m_xsubi[0] << " " << m_xsubi[1] << " " << m_xsubi[2] << endl;
  }

  static void LoadState(istream &fin) {
    fin.read((char*)m_xsubi, sizeof(m_xsubi));
  }

private:
  static unsigned short m_xsubi[3];
};

unsigned short Random::m_xsubi[3] = {1975, 1978, 1531};

#endif
