#include <iostream.h>
#include "Loop/BoundaryStencil.h"
#include "Loop/ControlTriangle.h"
#include "Loop/ControlVertex.h"
#include "Loop/LoopMesh.h"
#include "Loop/MultiresTriangle.h"
#include "Loop/MultiresVertex.h"
#include "Loop/WarrenStencil.h"
#include "Mesh/MeshTp.h"

LOOPTYPE(Mesh, LoopMesh, ControlTriangle, ControlVertex,
	 MultiresTriangle, MultiresVertex, BoundaryStencil<WarrenStencil>)

int main(int argc, char* argv[]) {
  WarrenStencil warren;
  Mesh::Stencil stencil(warren);
  Mesh mesh(stencil);

  cin >> mesh;
  mesh.subdivide(2);
  cout << mesh;
}
