#ifndef __SIMTYPES_H
#define __SIMTYPES_H

#define DECLARE_TYPES(T)\
typedef typename T::Real            Real;\
typedef typename T::Real3Vec        Real3Vec;\
typedef typename T::Real3Matrix     Real3Matrix;\
typedef typename T::CvCvTensor      CvCvTensor;\
typedef typename T::CnCnTensor      CnCnTensor;\
typedef typename T::Mesh            Mesh;\
typedef typename T::GaussPoint      GaussPoint;\
typedef typename T::Vertex          Vertex;\
typedef typename T::Triangle        Triangle;\
typedef typename T::LeafPatch       LeafPatch;\
typedef typename T::Material        Material;\
typedef typename T::Surface         Surface;\
typedef typename T::Mass            Mass;\
typedef typename T::Forces          Forces;\
typedef typename T::Geometry        Geometry;\
typedef typename T::Integrator      Integrator;\
typedef typename T::ShellIntegrator ShellIntegrator;\
typedef typename T::Parameters      Parameters;\




#endif




