#! /bin/ksh -f

nmodes_list="4 5 6 7 8 9 10"
base_name=argh

R=0.95
Ruse=4

for subdiv in 1 2 3 4 5 6
do
   base=$base_name$subdiv
   O=$(expeval "2e-6/$subdiv")
   pod_collect.sh $base -explicit -T 0.0005 -R $R -O $O -cutoff_ev 1e-6 -method snapshots 
   cp $base.pod $base.pod.orig
   for nmodes in $nmodes_list
   do
     pod_use.sh $base -explicit -T 0.0005 -R $Ruse -O $O -nmodes_list $nmodes -method snapshots 
   done
done
