#! /bin/ksh -f


if [ $# -ne 2 ] ; then
   echo Expected: $(basename $0) basediv subdiv
   exit 1
fi

basediv=$1; shift
subdiv=$1

nmodes_list="15"
base_name=argh

subdiv_file_base=$base_name$subdiv
R=$(expeval "2")
O=$(expeval "2e-6/$subdiv")

cp $subdiv_file_base.pod.pee$basediv$subdiv $subdiv_file_base.pod
for nmodes in $nmodes_list
do
  pod_use.sh $subdiv_file_base -explicit -T 0.0005 -R $R -O $O -nmodes_list $nmodes -suffix pee$basediv$subdiv 
done


