#! /bin/ksh

base=bviv

for conv_res_mag in   1 0.1 0.000001 2000 1500 1000 100 10
do
    pod_collect.sh $base -T 6e-5 -initial_stiff -method snapshots -dt 1e-7 -cutoff_ev 1e-7 -R 2 -O 0 -conv_res_mag $conv_res_mag -max_iter 50 -nz_per_row 0.116883 -pc_lu_fill 2.80985 -report_iter -mass_type 0 -suffix conv$conv_res_mag $*
    cp $base.pod $base.pod.conv$conv_res_mag
done

# conclude by a high-accuracy solution
for conv_res_mag in 0.000001 
do
    pod_collect.sh $base -T 6e-5 -initial_stiff -method snapshots -dt 1e-7 -cutoff_ev 1e-14 -R 2 -O 0 -conv_res_mag $conv_res_mag -max_iter 50 -nz_per_row 0.116883 -pc_lu_fill 2.80985 -report_iter -mass_type 0 -suffix conv$conv_res_mag $*
done


