#! /bin/ksh

if [ $# -lt 1 ] ; then
    echo Usage: $(basename $0) file >&2
    exit 1
fi

file=$1

fRmax=0
cat $file | grep -v '@' | while read s; 
do
    fR=$(echo $s | cut -d' ' -f2)
    if [ $(expeval "gt($fR,$fRmax)") -ne 0 ] ; then
        fRmax=$fR
    fi
done
echo $fRmax
