#! /bin/ksh -f

if [ $# -ne 1 ] ; then
    echo Need the subdivision; exit 1
fi

s=$1

if [ $s -eq 1 ] ; then
    echo No need to refine for s=$s; exit 0
fi

hexrefine -wfile complx1.in -nint $s > complx$s.in
L=$(expeval "1200/(($s+1))")
cat complx$s.in | sed -e "s/DZ 600 1/DZ $L 1/g" > t
mv t complx$s.in
echo Done

