#! /bin/ksh -f

nmodes_list="3 4 5 6 7 8 9 10 12 15 18 24 30"
base_name=complx

for subdiv in 1 2 4
do
   base=$base_name$subdiv
   R=$(expeval "100*$subdiv")
   pod_collect.sh $base -T 0.09 -R $R -O 0 -modnewton -recomp_keff_after 3 -conv_ratio 0.001 -cutoff_ev 1e-10 -method snapshots
   cp $base.pod $base.pod.orig
   for nmodes in $nmodes_list
   do
     pod_use.sh $base -T 0.09 -R $R -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes -method snapshots
   done
done
