#! /bin/ksh -f


if [ $# -ne 2 ] ; then
   echo Expected: $(basename $0) basediv subdiv
   exit 1
fi

basediv=$1; shift
subdiv=$1

nmodes_list="3 4 5 6 7 8 9 10 12 15 18 24 30"
subdiv_file_base=complx$subdiv
R=$(expeval "100*$subdiv")

cp $subdiv_file_base.pod.pee$basediv$subdiv $subdiv_file_base.pod
for nmodes in $nmodes_list
do
  pod_use.sh $subdiv_file_base -T 0.09 -R $R -O 0 -conv_ratio 0.001 -modnewton -recomp_keff_after 3 -nmodes_list $nmodes -suffix pee$basediv$subdiv
done


