#! /bin/bash

prob=$1; shift
hexvuefile=$prob.hexvue
hvufile=$prob

cat <<EOF > $hexvuefile
! 
NEWFRAME WIDTH 480 HEIGHT 480 X 100 Y 100
edgeflag on
edgecolor white
shrink 1
hvuchattribs
hvuload $hvufile
!load strip-outline.egf
!
render wire
view axes off
view bground grey50
view iso
layer 0
layer on   0
layer on   1
layer off 15
layer on  16
fit
HVUPICKSET 2 ! z
hvushowset 0.03 0.3 -1
HVUSETDISP 0 1 2 sxsysz 10 10 10
render shade
view left
fit
hvupause 3
! 
!
render ldir -1 2 3
RENDER SHADE
HVUPICKSET 2 ! z
HVUSETDISP 0 1 2 sxsysz 10 10 10
fit
hvupause 3
HVUPICKSET 0 ! z
HVUSETDISP 0 1 2 sxsysz 10 10 10
fit
hvupause 3
! HVUQUIT
EOF


hexvue -c $hexvuefile 
rm -f $hexvuefile
