#! /bin/bash

prob=$1; shift
hexvuefile=$prob.hexvue
hvufile=$prob

cat <<EOF > $hexvuefile
! 
NEWFRAME WIDTH 480 HEIGHT 480 X 100 Y 100
edgeflag on
edgecolor white
shrink 1
hvuchattribs
hvuload $hvufile
!
HVUPICKSET 0 ! z
HVUSETDISP 0 1 2 sxsysz 4000 4000 4000
! 
render wire
view axes off
view bground grey50
view left
layer 0
layer on   0
layer on   1
layer off 15
layer on  16
!
render ldir -1 2 3
RENDER SHADE
!
HVUPICKSET 34
fit
hvupause 5
HVUPICKSET 35
fit
hvupause 5
HVUPICKSET 36
fit
hvupause 5
HVUPICKSET 38
fit
hvupause 5
HVUPICKSET 40
fit
hvupause 5
HVUPICKSET 41
fit
hvupause 5
HVUPICKSET 42
fit
hvupause 5
HVUPICKSET 44
fit
hvupause 5
! HVUQUIT
EOF


hexvue -c $hexvuefile 
rm -f $hexvuefile
