#! /bin/bash

prob=$1; shift
hexvuefile=$prob.hexvue
hvufile=$prob

cat <<EOF > $hexvuefile
! 
NEWFRAME WIDTH 480 HEIGHT 480 X 100 Y 100
edgeflag on
edgecolor white
shrink 1
hvuchattribs
hvuload $hvufile
!
HVUPICKSET 0 ! z
HVUSETDISP 0 1 2 sxsysz 2000 2000 2000
! 
render wire
view axes off
view bground grey50
view left
layer 0
layer on   0
layer on   1
layer off 15
layer on  16
!
render ldir -1 2 3
RENDER SHADE
!
HVUPICKSET 9
fit
hvupause 5
HVUPICKSET 10
fit
hvupause 5
HVUPICKSET 12
fit
hvupause 5
HVUPICKSET 13
fit
hvupause 5
HVUPICKSET 15
fit
hvupause 5
HVUPICKSET 16
fit
hvupause 5
HVUPICKSET 18
fit
hvupause 5
HVUPICKSET 19
fit
hvupause 5
! HVUQUIT
EOF


hexvue -c $hexvuefile 
rm -f $hexvuefile
