#! /bin/ksh -f

nmodes_list="1 2 3 4 5 6 9 12"
base_name=pullout

R=0.95

for subdiv in 4
do
   base=$base_name$subdiv
   pod_collect.sh $base -explicit -T 0.0005 -R $R -O 0 -cutoff_ev 1e-5 -method snapshots
   cp $base.pod $base.pod.orig
   Ruse=8
   for nmodes in $nmodes_list
   do
     pod_use.sh $base -explicit -T 0.0005 -R $Ruse -O 0 -nmodes_list $nmodes -method snapshots 
   done
done
