#! /bin/bash

t=0
f=0.25
finalt=30
nsteps=300
dt=$(expeval "($finalt-$t)/$nsteps")
echo "! begin time function record"
step=0
while [ $step -lt $nsteps ] 
do
    echo $t $(expeval "sin(2*3.1415927*($f)*($t))"); step=$(($step+1));
    t=$(expeval "$t+$dt")
done
echo "! end time function record: $step time-value pairs"
