#! /bin/ksh

# run test 

wd -verbose -! -input tensrotneohk -integrator 0 -R 1 -T 1.5e-6 -b 20 -O 0 -mass_type 0

# test results

for name in DeformE
do
  cp ./WASP.HIST/tensrotneohk/$name.xmgr ./testdata # copy history files to testdata 
  $WASP_DIR/verify/util/wdtestcmp.sh $name # compare with reference values
done

$WASP_DIR/verify/util/wdclean.sh -aftertest -testdata
