#! /bin/ksh -f

if [ $# -ne 1 ] ; then
    echo Need the subdivision; exit 1
fi

s=$1

if [ $s -eq 1 ] ; then
    echo No need to refine for s=$s; exit 0
fi

hexrefine -wfile twistedbeam1.in -nint $s > twistedbeam$s.in
L=$(expeval "120000/(($s+1)*(2*$s+1))")
cat twistedbeam$s.in | sed -e "s/DY 20000 1/DY $L 1/g" > t
mv t twistedbeam$s.in
echo Done

