#! /bin/ksh -f

if [ $# -lt 1 ] ; then
    l="1 2 3 4 5 6"
else
    l="$*"
fi

for s in $(echo $l)
do
   pod_collect.sh twistedbeam$s -O 0.05 -T 60 -R 1 -explicit -method snapshots -dt 0.15 -cutoff_ev 1e-9
   create.frames.sh twistedbeam$s -hexvue_script overview.hexvue -frame_name t$s -silent
done

