#ifndef __MESHTYPES_H
#define __MESHTYPES_H

#define DECLARE_SINGLE_TYPE( TYPE_STRUCT, TYPE_NAME )\
typedef typename TYPE_STRUCT::TYPE_NAME TYPE_NAME;

#define DECLARE_MESH_TYPES(T)\
DECLARE_SINGLE_TYPE( T, Types              )\
DECLARE_SINGLE_TYPE( T, Triangle           )\
DECLARE_SINGLE_TYPE( T, Vertex             )\
DECLARE_SINGLE_TYPE( T, Edge               )\
typedef typename T::Mesh Mesh;

#endif  /* #define __MESHTYPES_H */
