#ifndef __SIMTYPES_H
#define __SIMTYPES_H

#include "Mesh/MeshTypes.h"

#define DECLARE_SIM_TYPES(T)\
DECLARE_MESH_TYPES(T)\
DECLARE_SINGLE_TYPE( T, GaussPoint      )\
DECLARE_SINGLE_TYPE( T, Material        )\
DECLARE_SINGLE_TYPE( T, Surface         )\
DECLARE_SINGLE_TYPE( T, Mass            )\
DECLARE_SINGLE_TYPE( T, Forces          )\
DECLARE_SINGLE_TYPE( T, Geometry        )\
DECLARE_SINGLE_TYPE( T, Integrator      )\
DECLARE_SINGLE_TYPE( T, ShellIntegrator )\
DECLARE_SINGLE_TYPE( T, Parameters      )


#endif




