#! /bin/ksh

# modrc.sh pp15 -wd ../custwd -S 45e-6 -T 0.02 -O 0 -method snapshots -dt 40e-6 -mass_type 0 -nles "ncg polak_ribiere mass_precond" -report_iter -conv_res_mag 100 -max_iter 300 -pass_on_max -conv_ratio 0.01 -cutoff_ev 1e-9


for nmodes in 20 30 15 25 # 10 15 20 25 30 40
do
   modru.sh pp15 -wd ../custwd -S 45e-6 -T 0.005 -O 0 -method snapshots -mass_type 0 -nles "ncg polak_ribiere mass_precond" -report_iter -conv_res_mag 100 -max_iter 200 -pass_on_max -conv_ratio 0.01 -nmodes $nmodes
done

