#! /bin/ksh

function full_conv_te {
conv=$1
echo $conv \
     $(l2diff -u1 "WASP.HIST/baypend-full-R80-conv=1e-8/TotalE.xmgr" \
              -u2 "WASP.HIST/conv=$conv/baypend-full-R80-conv=$conv/TotalE.xmgr" \
              -relative)
}

out=full-conv-te.xmgr
rm -f $out
for conv in 1e-5 2e-5 3e-5 4e-5 5e-5 8e-5 10e-5 20e-5 
do
  full_conv_te $conv >> $out
done

