#! /bin/ksh

function redu_l2fR_te {
conv=$1
for nmodes in 6 9 12 15 20 25 30 35 45 50 60 70 72 74 76 77 78 
do
 echo $(l2diff -u1 "WASP.HIST/conv=$conv/baypend-red-R80-c0.001-M${nmodes}-snapshots-conv=$conv/nmki-resid_work_incr_bound.xmgr") \
      $(l2diff -u1 "WASP.HIST/baypend-full-R80-conv=1e-8/TotalE.xmgr" \
               -u2 "WASP.HIST/conv=$conv/baypend-red-R80-c0.001-M${nmodes}-snapshots-conv=$conv/TotalE.xmgr" \
               -relative)
done
}

for conv in 1e-5 2e-5 3e-5 4e-5 5e-5 8e-5 10e-5 20e-5 
do
out=redu-incrW-conv=$conv.xmgr
redu_l2fR_te $conv > $out

done
