#! /bin/ksh -f

method=direct
R=100
command="\
wd -v -! -input cable20 -integrator 1 -R $R -W cable20-full-R$R \
-T 0.48 -b 20 -O 1e-5 \
-pod_options \"collect method $method dt 0.001\" \
-newmarki_options \"conv_ratio 0.001 solver spetsc nz_per_row 0.05 max_iter 25\" \
-pc_type lu -ksp_type preonly \
"
echo "$command"
eval $command
