#! /bin/ksh -f

R=10
method=snapshots

for nmodes in 1 2 3 4 5 6 8 10 15 20
do
  for conv_ratio in 0.000001 
  do
            command="wd -v -! -i cable10 -integrator 1 \
               -R $R -W cable10-red-R$R-c$conv_ratio-M$nmodes-$method  -b 20 -O 0.00001 \
               -pod_options \"use nmodes $nmodes method $method\" \
               -newmarki_options \"pod solver dmeschach conv_ratio $conv_ratio\" -T 0.0025"
            echo "$command"
            eval $command
            if [ $? -ne 0 ] ; then
                echo "*** Error"
            fi
  done
done
