#! /bin/ksh -f

default_A=0.0613
default_M=10000
mat=1
pod=false
T=10000
R=50

default_x_28=1.000000
default_z_28=0.750000
default_x_4=0.000000
default_z_4=0.750000
default_x_5=2.000000
default_z_5=0.750000
default_x_7=3.000000
default_z_7=0.750000
default_x_9=4.000000
default_z_9=0.750000
default_x_11=5.000000
default_z_11=0.750000
default_x_13=6.000000
default_z_13=0.750000
default_x_15=7.000000
default_z_15=0.750000
default_x_17=8.000000
default_z_17=0.750000

default_x_3=0.000000 
default_y_3=0.433013 
default_z_3=0
default_x_2=1.000000 
default_y_2=0.433013 
default_z_2=0
default_x_6=2.000000 
default_y_6=0.433013 
default_z_6=0
default_x_8=3.000000 
default_y_8=0.433013 
default_z_8=0
default_x_10=4.000000 
default_y_10=0.433013 
default_z_10=0
default_x_12=5.000000 
default_y_12=0.433013 
default_z_12=0
default_x_14=6.000000 
default_y_14=0.433013 
default_z_14=0
default_x_16=7.000000 
default_y_16=0.433013 
default_z_16=0
default_x_18=8.000000 
default_y_18=0.433013 
default_z_18=0

default_x_20=$default_x_3
default_y_20=-$default_y_3
default_z_20=$default_z_3
default_x_19=$default_x_2
default_y_19=-$default_y_2
default_z_19=$default_z_2
default_x_21=$default_x_6
default_y_21=-$default_y_6
default_z_21=$default_z_6
default_x_22=$default_x_8
default_y_22=-$default_y_8
default_z_22=$default_z_8
default_x_23=$default_x_10
default_y_23=-$default_y_10
default_z_23=$default_z_10
default_x_24=$default_x_12
default_y_24=-$default_y_12
default_z_24=$default_z_12
default_x_25=$default_x_14
default_y_25=-$default_y_14
default_z_25=$default_z_14
default_x_26=$default_x_16
default_y_26=-$default_y_16
default_z_26=$default_z_16
default_x_27=$default_x_18
default_y_27=-$default_y_18
default_z_27=$default_z_18

default_A_1=$default_A
default_A_2=$default_A
default_A_3=$default_A
default_A_10=$default_A
default_A_11=$default_A
default_A_12=$default_A
default_A_13=$default_A
default_A_14=$default_A
default_A_15=$default_A
default_A_16=$default_A
default_A_17=$default_A


function usage_and_exit {
cat <<EOF
Usage: $(basename $0) [ options ]
-A n area  (default A=$default_A)
  n=1 (transverse bars)
  n=2 (diagonals)
  n=3 (tip bars)
  n=10,11,12,13,14,15,16,17 (lateral bars, 10 at the tip, 17 at the base)

-x n
-y n
-z n
  control x and z for n=28,5,7,9,11,13,15,17 (nodes on the upper bar --
                                               ie., in the plane of symmetry)
      x_28=$default_x_28, y_28=0, z_28=$default_z_28
      x_5=$default_x_5, y_5=0, z_5=$default_z_5
      x_7=$default_x_7, y_7=0, z_7=$default_z_7
      x_9=$default_x_9, y_9=0, z_9=$default_z_9
      x_11=$default_x_11, y_11=0, z_11=$default_z_11
      x_13=$default_x_13, y_13=0, z_13=$default_z_13
      x_15=$default_x_15, y_15=0, z_15=$default_z_15
      x_17=$default_x_17, y_17=0, z_17=$default_z_17
  control x, y, and z for n=2,6,8,10,12,14,16,18 (nodes on the lower bars)
      x_2=$default_x_2, y_2=$default_y_2, z_2=$default_y_2
      x_6=$default_x_6, y_6=$default_y_6, z_6=$default_y_6
      x_8=$default_x_8, y_8=$default_y_8, z_8=$default_y_8
      x_10=$default_x_10, y_10=$default_y_10, z_10=$default_y_10
      x_12=$default_x_12, y_12=$default_y_12, z_12=$default_y_12
      x_14=$default_x_14, y_14=$default_y_14, z_14=$default_y_14
      x_16=$default_x_16, y_16=$default_y_16, z_16=$default_y_16
      x_18=$default_x_18, y_18=$default_y_18, z_18=$default_y_18
-pod (use POD; default is don\'t use POD)
EOF
exit 0
}

A_1=$default_A_1
A_2=$default_A_2
A_3=$default_A_3
A_10=$default_A_10
A_11=$default_A_11
A_12=$default_A_12
A_13=$default_A_13
A_14=$default_A_14
A_15=$default_A_15
A_16=$default_A_16
A_17=$default_A_17


x_28=$default_x_28
z_28=$default_z_28
x_4=$default_x_4
z_4=$default_z_4
x_5=$default_x_5
z_5=$default_z_5
x_7=$default_x_7
z_7=$default_z_7
x_9=$default_x_9
z_9=$default_z_9
x_11=$default_x_11
z_11=$default_z_11
x_13=$default_x_13
z_13=$default_z_13
x_15=$default_x_15
z_15=$default_z_15
x_17=$default_x_17
z_17=$default_z_17

x_3=$default_x_3
y_3=$default_y_3
z_3=$default_z_3
x_2=$default_x_2
y_2=$default_y_2
z_2=$default_z_2
x_6=$default_x_6
y_6=$default_y_6
z_6=$default_z_6
x_8=$default_x_8
y_8=$default_y_8
z_8=$default_z_8
x_10=$default_x_10
y_10=$default_y_10
z_10=$default_z_10
x_12=$default_x_12
y_12=$default_y_12
z_12=$default_z_12
x_14=$default_x_14
y_14=$default_y_14
z_14=$default_z_14
x_16=$default_x_16
y_16=$default_y_16
z_16=$default_z_16
x_18=$default_x_18
y_18=$default_y_18
z_18=$default_z_18

x_20=$default_x_20
y_20=$default_y_20
z_20=$default_z_20
x_19=$default_x_19
y_19=$default_y_19
z_19=$default_z_19
x_21=$default_x_21
y_21=$default_y_21
z_21=$default_z_21
x_22=$default_x_22
y_22=$default_y_22
z_22=$default_z_22
x_23=$default_x_23
y_23=$default_y_23
z_23=$default_z_23
x_24=$default_x_24
y_24=$default_y_24
z_24=$default_z_24
x_25=$default_x_25
y_25=$default_y_25
z_25=$default_z_25
x_26=$default_x_26
y_26=$default_y_26
z_26=$default_z_26
x_27=$default_x_27
y_27=$default_y_27
z_27=$default_z_27

M=$default_M

args=""
while [ $# -ge 1 ] 
do
   a=$1; shift
   case $a in
    -help)
        usage_and_exit;
        ;;
    -pod)
        pod=t;
        ;;
    -T)
        if [ $# -ge 1 ] ; then
            T=$1; shift
        else
            usage_and_exit;
        fi
        ;;
    -R)
        if [ $# -ge 1 ] ; then
            R=$1; shift
        else
            usage_and_exit;
        fi
        ;;
    -A)
        if [ $# -ge 2 ] ; then
            n=$1; shift
            A=$1; shift
            eval A_$n=$A
        else
            usage_and_exit;
        fi
        ;;
    -x)
        if [ $# -ge 2 ] ; then
            n=$1; shift
            x=$1; shift
            eval x_$n=$x
        else
            usage_and_exit;
        fi
        ;;
    -z)
        if [ $# -ge 2 ] ; then
            n=$1; shift
            z=$1; shift
            eval z_$n=$z
        else
            usage_and_exit;
        fi
        ;;
    -M)
        if [ $# -ge 1 ] ; then
            M=$1; shift
        else
            usage_and_exit;
        fi
        ;;
    *)
        ta="$args $a"
        args="$ta"
        ;;
    esac
done

cat > cranearm.in <<EOF
 Design of a crane arm. 
! num_of_nodes num_of_elements num_of_materials num_of_loads num_of_time_funcs
28 99 1 0 1
!
Options
R 0.5
T 1000
O 0.01
f 0.1
! x 1
&
!
Material 
! uniaxial elastic
   1
! material data 
   1  117000  0.35  8.93e-9 
&
!  ======================================================= 
TIME_FUNCTIONS 
2  ! tabular 
! func#   #pairs 
1        3
! time     val 
! Heaviside step function:
0        1
1        1
10000000 1
!  END TIME_FUNCTIONS 
&
!  ======================================================
NODES
!
1 9 0 0 ! tip
!
28 $x_28 0 $z_28
4 $x_4 0 $z_4 0 0 0 ! fixed
5 $x_5 0 $z_5
7 $x_7 0 $z_7
9 $x_9 0 $z_9
11 $x_11 0 $z_11
13 $x_13 0 $z_13
15 $x_15 0 $z_15
17 $x_17 0 $z_17
!
3 $x_3 $y_3 0 0 0 0 ! fixed
2 $x_2 $y_2 $z_2 
6 $x_6 $y_6 $z_6 
8 $x_8 $y_8 $z_8 
10 $x_10 $y_10 $z_10 
12 $x_12 $y_12 $z_12 
14 $x_14 $y_14 $z_14 
16 $x_16 $y_16 $z_16 
18 $x_18 $y_18 $z_18 
!
20 $x_3 -$y_3 0 0 0 0 ! fixed
19 $x_2 -$y_2 $z_2 
21 $x_6 -$y_6 $z_6 
22 $x_8 -$y_8 $z_8 
23 $x_10 -$y_10 $z_10 
24 $x_12 -$y_12 $z_12 
25 $x_14 -$y_14 $z_14 
26 $x_16 -$y_16 $z_16 
27 $x_18 -$y_18 $z_18 
!
&
ELEM
1 ! truss
1 28 2   $mat $A_1
2 3 4   $mat $A_1
3 5 6   $mat $A_1
4 2 28  $mat $A_1
5 7 8   $mat $A_1
6 6 5   $mat $A_1
7 9 10   $mat $A_1
8 8 7   $mat $A_1
9 11 12   $mat $A_1
10 10 9   $mat $A_1
11 13 14   $mat $A_1
12 12 11   $mat $A_1
13 15 16   $mat $A_1
14 14 13   $mat $A_1
15 17 18   $mat $A_1
16 16 15   $mat $A_1
17 19 28   $mat $A_1
18 4 20   $mat $A_1
19 28 19   $mat $A_1
20 21 5   $mat $A_1
21 5 21   $mat $A_1
22 22 7   $mat $A_1
23 7 22   $mat $A_1
24 23 9   $mat $A_1
25 9 23   $mat $A_1
26 24 11   $mat $A_1
27 11 24   $mat $A_1
28 25 13   $mat $A_1
29 13 25   $mat $A_1
30 26 15   $mat $A_1
31 15 26   $mat $A_1
32 27 17   $mat $A_1
33 2 19   $mat $A_1
34 20 3   $mat $A_1
35 19 2   $mat $A_1
36 6 21   $mat $A_1
37 21 6   $mat $A_1
38 8 22   $mat $A_1
39 22 8   $mat $A_1
40 10 23   $mat $A_1
41 23 10   $mat $A_1
42 12 24   $mat $A_1
43 24 12   $mat $A_1
44 14 25   $mat $A_1
45 25 14   $mat $A_1
46 16 26   $mat $A_1
47 26 16   $mat $A_1
48 18 27   $mat $A_1
49 2 4   $mat $A_2
50 28 20   $mat $A_2
51 19 3   $mat $A_2
52 6 28   $mat $A_2
53 5 19   $mat $A_2
54 21 2   $mat $A_2
55 8 5   $mat $A_2
56 7 21   $mat $A_2
57 22 6   $mat $A_2
58 10 7   $mat $A_2
59 9 22   $mat $A_2
60 23 8   $mat $A_2
61 12 9   $mat $A_2
62 11 23   $mat $A_2
63 24 10   $mat $A_2
64 14 11   $mat $A_2
65 13 24   $mat $A_2
66 25 12   $mat $A_2
67 16 13   $mat $A_2
68 15 25   $mat $A_2
69 26 14   $mat $A_2
70 18 15   $mat $A_2
71 17 26   $mat $A_2
72 27 16   $mat $A_2
73 26 27   $mat $A_10
74 16 18   $mat $A_10
75 17 15   $mat $A_10
76 25 26   $mat $A_11
77 14 16   $mat $A_11
78 15 13   $mat $A_11
79 24 25   $mat $A_12
80 12 14   $mat $A_12
81 13 11   $mat $A_12
82 23 24   $mat $A_13
83 10 12   $mat $A_13
84 11 9   $mat $A_13
85 22 23   $mat $A_14
86 8 10   $mat $A_14
87 9 7   $mat $A_14
88 21 22   $mat $A_15
89 6 8   $mat $A_15
90 7 5   $mat $A_15
91 19 21   $mat $A_16
92 2 6   $mat $A_16
93 5 28   $mat $A_16
94 20 19   $mat $A_17
95 3 2   $mat $A_17
96 28 4   $mat $A_17
97 17 1   $mat $A_3
98 18 1   $mat $A_3
99 27 1   $mat $A_3
&
!
LOAD 
3 
!    gx  gy  gz      tfnum
DZ -10 1
9 0 0 9 0 0 inflate 0.01 
& 
!
History 
N 1
W
&
!
Reduction 
  collect
     dt 0.02
  end
  use
     nmodes 2
     file cranearm.pod
  end
&
EOF

if [ $pod = t ] ; then
   if [ ! -f cranearm.pod ] ; then
      echo cranearm.pod not found; exit 1
   fi
   wd -! -input cranearm -M $M -integrator 1 -T $T -b 20 -O 0 -R $R -pod_options "use nmodes 8 method snapshots" -newmarki_options "pod solver dmeschach conv_ratio 0.00001 max_iter 25" | grep -v '#' 
else
   wd -! -input cranearm -M $M -integrator 1 -R $R -O 0 -T $T $args | grep -v '#'
fi

