#! /bin/ksh -f

method=snapshots
R=200
command="\
wd -v -! -input kyv3 -integrator 1 -R $R -W kyv3-full-R$R \
-T 0.7 -b 20 -O 0.00 \
-pod_options \"collect method $method dt 0.01\" \
-newmarki_options \"conv_ratio 0.001 solver spetsc nz_per_row 0.05 report_iter\" \
$*"
echo "$command"
eval $command
