#! /bin/ksh -f


for method in direct snapshots
do
  command="wd -v -! -i kyv3 -integrator 0 -R 0.9 -W kyv3-c$conv_ratio-full-R0.9 \
      -b 20 -O 0.005 \
      -pod_options \"collect method $method\""
  echo "$command"
  eval $command
  for R in 1 2 5
  do
    for conv_ratio in 0.0001 
    do
       for nmodes in 2 3 4 6 7
       do
            command="wd -v -! -i kyv3 -integrator 1 \
               -R $R -W kyv3-c$conv_ratio-red-R$R-M$nmodes-$method  -b 20 -O 0.005 \
               -pod_options \"use nmodes $nmodes\" \
               -newmarki_options \"pod conv_ratio $conv_ratio solver dmeschach max_iter 20\""
            echo "$command"
            eval $command
            if [ $? -ne 0 ] ; then
                echo "*** Error"
            fi
       done
    done
  done
done