#! /bin/ksh -f

for R in 10
do
    wd -v -! -i kyv3s -integrator 1 -R $R -W kyv3s-full-R$R -b 20 -O 0.005 -conv_ratio 0.0001 
    for nmodes in 2 3 4 8
    do
        for conv_ratio in 0.0001 
        do
            wd -v -! -i kyv3s -integrator 1 \
               -R $R -W kyv3s-red-R$R-c$conv_ratio-M$nmodes  -b 20 -O 0.005 \
               -use_pod -pod_nmodes $nmodes -conv_ratio $conv_ratio
            if [ $? -ne 0 ] ; then
                echo "*** Error"
            fi
        done
    done
done
