#include <iostream.h>
#include "Loop/BoundaryStencil.h"
#include "Loop/ControlTriangle.h"
#include "Loop/ControlVertex.h"
#include "Loop/LoopMesh.h"
#include "Loop/MultiresVertex.h"
#include "Loop/WarrenStencil.h"
#include "Mesh/MeshTp.h"

LOOPTYPE(MESH, LoopMesh, ControlTriangle, ControlVertex, MultiresVertex,
	 BoundaryStencil<WarrenStencil>)

int main(int argc, char* argv[]) {
  WarrenStencil warren;
  BoundaryStencil<WarrenStencil> stencil(warren);
  MESH mesh(stencil);

  cin >> mesh;
  mesh.subdivide(2);
  cout << mesh;
}
