// -*- Mode: c++ -*-
// $Id: FEMMesh.h,v 1.3 2000/09/16 04:44:31 eitan Exp $
// $Source: /cs/research/multires/cvsroot/Coke/Quadrature/FEMMesh.h,v $

#ifndef	__FEMMESH_H__
#define	__FEMMESH_H__

// Do not change anything above this line

// include files

#include "Mesh/MeshTp.h"
#include "ThinShellReader.h"
#include "ThinShellWriter.h"

// class definition
template <class MeshIf, class TriangleIf, class VertexIf>
class FEMMesh : public MeshTp<MeshIf, TriangleIf, VertexIf> {
 public:
 protected:
 private:
};

// extern defs for non-member outline functions go here
// externally visible constant defs go here

template <class MeshIf, class TriangleIf, class VertexIf>
istream& operator>>(istream& is, FEMMesh<MeshIf, TriangleIf, VertexIf>& mesh)
{
  ThinShellReader< FEMMesh<MeshIf, TriangleIf, VertexIf> > reader;
  reader.readMesh(is, mesh);
  return (is);
}

template <class MeshIf, class TriangleIf, class VertexIf>
ostream& operator<<(ostream& os, FEMMesh<MeshIf, TriangleIf, VertexIf>& mesh)
{
  ThinShellWriter< FEMMesh<MeshIf, TriangleIf, VertexIf> > writer;
  writer.writeMesh(os, mesh);
  return (os);
}

#endif	/* __FEMMESH_H__ */
