#ifndef __forall_h
#define __forall_h


#define forall(IterType, dummy, Begin, End) {\
  IterType iter = Begin; \
  IterType iterEnd = End; \
  for (; iter != iterEnd; ++iter) {\
    typename iterator_traits<IterType>::reference dummy = *iter;


#define forall_const(IterType, dummy, Begin, End) {\
  IterType iter = Begin; \
  IterType iterEnd = End; \
  for (; iter != iterEnd; ++iter) {\
    const typename iterator_traits<IterType>::value_type &dummy = *iter;


#define forall_notypename(IterType, dummy, Begin, End) {\
  IterType iter = Begin; \
  IterType iterEnd = End; \
  for (; iter != iterEnd; ++iter) {\
    iterator_traits<IterType>::reference dummy = *iter;

#define endforall }}


#endif


