#! /bin/ksh

modrc.sh pp6 -wd ../custwd -S 100e-6 -T 0.02 -O 0 -method direct -dt 0 -mass_type 0 -nles "ncg polak_ribiere mass_precond" -report_iter -conv_res_mag 1000 -max_iter 200 -pass_on_max -conv_ratio 0.01  -cutoff_ev 1e-9

for nmodes in 5 10 15 20 25 30 40
do
   modru.sh pp6 -wd ../custwd -S 100e-6 -T 0.02 -O 0 -method direct -dt 0 -mass_type 0 -nles "ncg polak_ribiere mass_precond" -report_iter -conv_res_mag 1000 -max_iter 200 -pass_on_max -conv_ratio 0.01 -nmodes $nmodes
done

modrc.sh pp15 -wd ../custwd -S 45e-6 -T 0.02 -O 0 -method snapshots -dt 40e-6 -mass_type 0 -nles "ncg polak_ribiere mass_precond" -report_iter -conv_res_mag 1000 -max_iter 300 -pass_on_max -conv_ratio 0.01 -cutoff_ev 1e-9


for nmodes in 5 10 15 20 25 30 40
do
   modru.sh pp15 -wd ../custwd -S 45e-6 -T 0.02 -O 0 -method snapshots -mass_type 0 -nles "ncg polak_ribiere mass_precond" -report_iter -conv_res_mag 1000 -max_iter 200 -pass_on_max -conv_ratio 0.01 -nmodes $nmodes
done

